﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.JavaScript.Models;

namespace dropdownlistserver.Controllers
{
    public class HomeController : Controller
    {
        
        public IActionResult Index()
        {
           
            DropDownListProperties ddl = new DropDownListProperties();
            ddl.DataSource = GetDataSource();
            DropDownListFields ddf = new DropDownListFields();
            ddf.Text = "text";
            ddf.Id = "empid";
            ddl.DropDownListFields = ddf;
            ViewData["ddl"] = ddl;
            return View();
        }
        public List<Bikes> GetDataSource()
        {
            List<Bikes> bike = new List<Bikes>();
            bike.Add(new Bikes { empid = "bk1", text = "Apache RTR" });
            bike.Add(new Bikes { empid = "bk2", text = "CBR 150-R" });
            bike.Add(new Bikes { empid = "bk3", text = "CBZ Xtreme" });
            bike.Add(new Bikes { empid = "bk4", text = "Discover" });
            bike.Add(new Bikes { empid = "bk5", text = "Dazzler" });
            bike.Add(new Bikes { empid = "bk6", text = "Flame" });
            bike.Add(new Bikes { empid = "bk7", text = "Fazzer" });
            bike.Add(new Bikes { empid = "bk8", text = "FZ-S" });
            bike.Add(new Bikes { empid = "bk9", text = "Pulsar" });
            bike.Add(new Bikes { empid = "bk10", text = "Shine" });
            bike.Add(new Bikes { empid = "bk11", text = "R15" });
            bike.Add(new Bikes { empid = "bk12", text = "Unicorn" });
            return bike;
        }
        [HttpPost]
        public IActionResult Index(BikeModel model)
        {
            DropDownListProperties ddl = new DropDownListProperties();
            ddl.DataSource = GetDataSource();
            DropDownListFields ddf = new DropDownListFields();
            ddf.Text = "text";
            ddf.Id = "empid";
            ddl.DropDownListFields = ddf;
            model.bikeValue = "Pulsar";
            ViewData["ddl"] = ddl;

            return View(model);
        }
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }

    public class Bikes
    {
        public string empid { get; set; }
        public string text { get; set; }
    }
    public class BikeModel
    {
        public string bikeValue { get; set; }
    }
}
